Bug 1273547 - Latest Fedora kernel 4.2.3-200.fc22 does not charge battery at all, on ThinkPad X1 Carbon
Latest Fedora kernel 4.2.3-200.fc22 does not charge battery at all, on ThinkP...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 12:35 EDT by David Peacock
Modified: 2016-07-19 15:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Peacock 2015-10-20 12:35:16 EDT
Description of problem:

Latest Fedora kernel, 4.2.3-200.fc22, installed on stable track Fedora 22 machine.

Machine is Lenovo ThinkPad X1 Carbon

New kernel will not charge battery, ultimately, of course, leading to failed power state.


Version-Release number of selected component (if applicable):

4.2.3-200.fc22

How reproducible:

100%


Steps to Reproduce:
1. Install Fedora 22 on ThinkPad X1 Carbon
2. Update to latest patch levels with `dnf update -y`
3. Observe battery depleting, and ultimately, laptop hibernating.

Actual results:

Battery does not charge.

Expected results:

Battery to charge, and power management to work as normal.

Additional info:
Comment 1 David Peacock 2015-10-20 14:28:09 EDT
3rd Gen X1 Carbon; type 20BT
Comment 2 Justin M. Forbes 2015-10-20 14:59:42 EDT
Does the battery charge with the machine powered off?
Comment 3 David Peacock 2015-10-20 15:41:42 EDT
Good question; I haven't tested that.  Presumably yes, but I'll verify later after work and get back to you. (This is my sole work machine I'm afraid).

FWIW, normal battery functionality exists when I'm running the previous kernel, in my case 4.1.8-200.fc22
Comment 4 David Peacock 2015-10-21 09:08:45 EDT
I can confirm battery functions normally and charges when the laptop is powered off; also when running kernel 4.1.8-200.fc22.

The behavior only exhibits when running 4.2.3-200.fc22.

Please let me know what you need me to gather to help diagnose this; I'm happy to provide stuff! :-)
Comment 5 Justin M. Forbes 2015-10-21 12:48:27 EDT
Can you attach the contents of /sys/class/power_supply/BAT*/uevent for me please?
Comment 6 David Peacock 2015-10-21 13:35:44 EDT
Hey Justin,

I rebooted into the 4.2.3 kernel on full charge.

[dpeacock@frodo ~]$ cat /sys/class/power_supply/BAT0/uevent 
POWER_SUPPLY_NAME=BAT0
POWER_SUPPLY_STATUS=Discharging
POWER_SUPPLY_PRESENT=1
POWER_SUPPLY_TECHNOLOGY=Li-poly
POWER_SUPPLY_CYCLE_COUNT=0
POWER_SUPPLY_VOLTAGE_MIN_DESIGN=15200000
POWER_SUPPLY_VOLTAGE_NOW=17159000
POWER_SUPPLY_POWER_NOW=5731000
POWER_SUPPLY_ENERGY_FULL_DESIGN=50220000
POWER_SUPPLY_ENERGY_FULL=47800000
POWER_SUPPLY_ENERGY_NOW=47510000
POWER_SUPPLY_CAPACITY=99
POWER_SUPPLY_CAPACITY_LEVEL=Normal
POWER_SUPPLY_MODEL_NAME=00HW002
POWER_SUPPLY_MANUFACTURER=LGC
POWER_SUPPLY_SERIAL_NUMBER=  703
Comment 7 David Peacock 2015-10-21 16:18:55 EDT
Inexplicably, after a bunch of rebooting to test this, and no config changes, battery function appears to be working fine again!

Argh!  I don't know if this is an intermittent bug or if something was out of whack immediately after the update, but I'll let you know if it occurs again.

How frustrating!
Comment 8 Fedora End Of Life 2016-07-19 15:20:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.